## festival-freebsoft-utils 0.4

=== Makefile ===
# Makefile for festival-freebsoft-utils

# Copyright (C) 2004 Brailcom, o.p.s.
#
# Author: Milan Zamazal <pdm@brailcom.org>
#
# COPYRIGHT NOTICE
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
# or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
# for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA.

VERSION := 0.4
DISTDIR := festival-freebsoft-utils-$(VERSION)
TARBALL := $(DISTDIR).tar

.PHONY: all install install-strip uninstall clean distclean mostlyclean \
	maintainer-clean TAGS info dvi dist check

all: info

install:

install-strip:
	$(MAKE) INSTALL_PROGRAM='$(INSTALL_PROGRAM) -s' install

uninstall:

mostlyclean:

clean: mostlyclean
	rm -rf $(DISTDIR) $(TARBALL)*

distclean: clean

maintainer-clean: distclean

TAGS:

info: festival-freebsoft-utils.info
%.info: %.texi
	makeinfo $<

pdf: festival-freebsoft-utils.pdf
%.pdf: %.texi
	texi2pdf festival-freebsoft-utils.texi

dist: clean info
	mkdir $(DISTDIR)
	chmod 755 $(DISTDIR)
	install -m 644 [A-Z]* *.scm *.texi *.info* $(DISTDIR)
	tar cvf $(TARBALL) $(DISTDIR)
	gzip -9 $(TARBALL)

check:

## festival-freebsoft-utils 0.6

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # Makefile for festival-freebsoft-utils
 
-# Copyright (C) 2004 Brailcom, o.p.s.
+# Copyright (C) 2004, 2006 Brailcom, o.p.s.
 #
 # Author: Milan Zamazal <pdm@brailcom.org>
 #
@@ -20,7 +20,7 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA.
 
-VERSION := 0.4
+VERSION := 0.6
 DISTDIR := festival-freebsoft-utils-$(VERSION)
 TARBALL := $(DISTDIR).tar

## festival-freebsoft-utils 0.7

=== Makefile ===
--- 
+++ 
@@ -18,11 +18,14 @@
 #
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, write to the Free Software
-# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA.
+# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA.
 
-VERSION := 0.6
+PROJECT := festival-freebsoft-utils
+VERSION := 0.7
+
 DISTDIR := festival-freebsoft-utils-$(VERSION)
 TARBALL := $(DISTDIR).tar
+DOCDIR := doc
 
 .PHONY: all install install-strip uninstall clean distclean mostlyclean \
 	maintainer-clean TAGS info dvi dist check
@@ -40,6 +43,7 @@
 
 clean: mostlyclean
 	rm -rf $(DISTDIR) $(TARBALL)*
+	rm -f doc/*.info doc/*.ps doc/*.pdf doc/*.html doc/*.dvi
 
 distclean: clean
 
@@ -47,18 +51,35 @@
 
 TAGS:
 
-info: festival-freebsoft-utils.info
+info: $(DOCDIR)/$(PROJECT).info
 %.info: %.texi
-	makeinfo $<
+	cd $(DOCDIR) && makeinfo $(PROJECT).texi
 
-pdf: festival-freebsoft-utils.pdf
+pdf: $(DOCDIR)/$(PROJECT).pdf
 %.pdf: %.texi
-	texi2pdf festival-freebsoft-utils.texi
+	cd $(DOCDIR) && texi2pdf $(PROJECT).texi
+
+dvi: $(DOCDIR)/$(PROJECT).dvi
+%.dvi: %.texi
+	cd $(DOCDIR) && texi2dvi $(PROJECT).texi
+
+ps: $(DOCDIR)/$(PROJECT).ps
+%.ps: %.texi dvi
+	cd $(DOCDIR) && dvips $(PROJECT).dvi
+
+html: $(DOCDIR)/$(PROJECT).html
+%.html: %.texi
+	cd $(DOCDIR) &&	\
+	makeinfo --html --no-split $(PROJECT).texi
+
+doc-all: info pdf ps dvi html
 
 dist: clean info
 	mkdir $(DISTDIR)
 	chmod 755 $(DISTDIR)
-	install -m 644 [A-Z]* *.scm *.texi *.info* $(DISTDIR)
+	install -m 644 [A-Z]* *.scm $(DISTDIR)
+	mkdir -m 755 $(DISTDIR)/doc
+	install -m 644 doc/*.texi doc/*.info* $(DISTDIR)/doc/
 	tar cvf $(TARBALL) $(DISTDIR)
 	gzip -9 $(TARBALL)

## festival-freebsoft-utils 0.8

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # Makefile for festival-freebsoft-utils
 
-# Copyright (C) 2004, 2006 Brailcom, o.p.s.
+# Copyright (C) 2004, 2006, 2007 Brailcom, o.p.s.
 #
 # Author: Milan Zamazal <pdm@brailcom.org>
 #
@@ -21,7 +21,7 @@
 # Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA.
 
 PROJECT := festival-freebsoft-utils
-VERSION := 0.7
+VERSION := 0.8
 
 DISTDIR := festival-freebsoft-utils-$(VERSION)
 TARBALL := $(DISTDIR).tar

## festival-freebsoft-utils 0.9

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # Makefile for festival-freebsoft-utils
 
-# Copyright (C) 2004, 2006, 2007 Brailcom, o.p.s.
+# Copyright (C) 2004, 2006, 2007, 2008 Brailcom, o.p.s.
 #
 # Author: Milan Zamazal <pdm@brailcom.org>
 #
@@ -21,7 +21,7 @@
 # Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA.
 
 PROJECT := festival-freebsoft-utils
-VERSION := 0.8
+VERSION := 0.9
 
 DISTDIR := festival-freebsoft-utils-$(VERSION)
 TARBALL := $(DISTDIR).tar

## festival-freebsoft-utils 0.10

=== debian/changelog ===
festival-freebsoft-utils (0.10-4) unstable; urgency=medium

  * QA upload.
  * Maintainer field set to QA Group.
  * Bump Standards-Version to 3.9.6.
  * Add debian/watch.
  * Add recommended debian/rules target: build-arch and build-indep.

 -- Emanuele Rocca <ema@debian.org>  Sat, 28 Nov 2015 17:41:30 +0100

festival-freebsoft-utils (0.10-3) unstable; urgency=low

  * Switch to dpkg-source 3.0 (quilt) format.
  * Updated to debhelper 7.
  * Homepage field added.
  * Standards 3.8.4.

 -- Milan Zamazal <pdm@debian.org>  Mon, 15 Mar 2010 09:56:12 +0100

festival-freebsoft-utils (0.10-2) unstable; urgency=low

  * Upload to unstable.

 -- Milan Zamazal <pdm@debian.org>  Sat, 07 Mar 2009 14:28:47 +0100

festival-freebsoft-utils (0.10-1) experimental; urgency=low

  * New upstream version.
  * Uploaded to experimental because lenny is frozen.

 -- Milan Zamazal <pdm@debian.org>  Thu, 16 Oct 2008 12:12:39 +0200

festival-freebsoft-utils (0.9-2) unstable; urgency=low

  * Merge libestools bug workaround from upstream and document the
    possible security problem with creating temporary files in
    README.Debian.

 -- Milan Zamazal <pdm@debian.org>  Thu, 17 Jul 2008 12:48:10 +0200

festival-freebsoft-utils (0.9-1) unstable; urgency=low

  * New upstream version.
  * Standards 3.8.0 (no real change).

 -- Milan Zamazal <pdm@debian.org>  Thu, 26 Jun 2008 20:44:40 +0200

festival-freebsoft-utils (0.8-1) unstable; urgency=low

  * New upstream version.

 -- Milan Zamazal <pdm@debian.org>  Fri, 23 Nov 2007 20:39:30 +0100

festival-freebsoft-utils (0.7-1) unstable; urgency=low

  * New upstream version.

 -- Milan Zamazal <pdm@debian.org>  Tue,  3 Oct 2006 16:31:29 +0200

festival-freebsoft-utils (0.6-2) unstable; urgency=low

  * Put debhelper into Build-Depends instead of Build-Depends-Indep.
  * Standards 3.7.2 (no real change).

 -- Milan Zamazal <pdm@debian.org>  Thu, 15 Jun 2006 19:53:15 +0200

festival-freebsoft-utils (0.6-1) unstable; urgency=low

  * New upstream version.
  * Standards 3.6.2 (no real change).

 -- Milan Zamazal <pdm@debian.org>  Fri, 17 Feb 2006 09:55:50 +0100

festival-freebsoft-utils (0.4-1) unstable; urgency=low

  * New upstream version.

 -- Milan Zamazal <pdm@debian.org>  Tue, 19 Oct 2004 19:11:43 +0200

festival-freebsoft-utils (0.2-1) unstable; urgency=low

  * New upstream version.

 -- Milan Zamazal <pdm@debian.org>  Tue, 11 May 2004 15:17:48 +0200

festival-freebsoft-utils (0.1-1) unstable; urgency=low

  * Initial packaging; closes: #230775.

 -- Milan Zamazal <pdm@debian.org>  Mon,  2 Feb 2004 15:46:10 +0100

=== debian/control ===
Source: festival-freebsoft-utils
Section: sound
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 7.0.0)
Standards-Version: 3.9.6
Homepage: http://www.freebsoft.org/festival-freebsoft-utils

Package: festival-freebsoft-utils
Architecture: all
Depends: festival, ${misc:Depends}
Recommends: sox
Conflicts: speech-dispatcher (<= 0.2-5)
Description: Festival extensions and utilities
 Miscellaneous Festival utilities, providing especially the following
 features: Generalized concept of input events, including ability to
 play sounds within the synthesized text and to map logical input events
 to other events; replacing given words in the synthesized text by events;
 spelling; capital letter signalization; punctuation reading modes;
 miscellaneous Festival Scheme functions.
 .
 Primary focus of festival-freebsoft-utils is on Festival cooperation with
 Speech Dispatcher, but they may be used together with other speech frontends
 or for other purposes as well.

=== debian/rules ===
#!/usr/bin/make -f


build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp

build-stamp:
	dh_testdir
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	dh_install *.scm usr/share/festival


# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installinfo doc/*.info*
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
binary-arch: build install
# We have nothing to do by default.

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

=== debian/watch ===
version=3
opts=uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)[\-\.]?\d*)$/$1~$2/,dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$// \
http://www.freebsoft.org/pub/projects/festival-freebsoft-utils/ (?:.*/)?festival-freebsoft-utils[_\-\.]?(\d\S+)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))
